net.i2p.router.transport.udp

## Class SSU2Header.Header

- java.lang.Object
- - net.i2p.router.transport.udp.SSU2Header.Header

- Enclosing class:
    SSU2Header

      public static class SSU2Header.Header
      extends Object

  A temporary structure returned from trial decrypt, with methods to access the fields.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header(int len)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDestConnID()` all headers
    `byte[]` | `getEphemeralKey()` handshake headers only
    `int` | `getHandshakeHeaderFlags()` long headers only
    `int` | `getNetID()` long headers only
    `long` | `getPacketNumber()` all headers
    `int` | `getShortHeaderFlags()` short headers only
    `long` | `getSrcConnID()` long headers only
    `long` | `getToken()` long headers only
    `int` | `getType()` all headers
    `int` | `getVersion()` long headers only
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          public final byte[] data

  - ### Constructor Detail

    - #### Header

          public Header(int len)

  - ### Method Detail

    - #### getDestConnID

          public long getDestConnID()

      all headers

    - #### getEphemeralKey

          public byte[] getEphemeralKey()

      handshake headers only

    - #### getHandshakeHeaderFlags

          public int getHandshakeHeaderFlags()

      long headers only

    - #### getNetID

          public int getNetID()

      long headers only

    - #### getPacketNumber

          public long getPacketNumber()

      all headers

    - #### getShortHeaderFlags

          public int getShortHeaderFlags()

      short headers only

    - #### getSrcConnID

          public long getSrcConnID()

      long headers only

    - #### getToken

          public long getToken()

      long headers only

    - #### getType

          public int getType()

      all headers

    - #### getVersion

          public int getVersion()

      long headers only

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`